> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Search motion grid for motion events occuring in specified grid cells

> Search motion grid for motion events occuring in specified grid cells. Note: motion grid is a 64x36 grid of cells with the upper left hand corner being (0, 0)



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/event/searchMotionGrid
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/event/searchMotionGrid:
    post:
      tags:
        - Event Webservice
      summary: Search motion grid for motion events occuring in specified grid cells
      description: >-
        Search motion grid for motion events occuring in specified grid cells.
        Note: motion grid is a 64x36 grid of cells with the upper left hand
        corner being (0, 0)
      operationId: searchMotionGrid
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Event_SearchMotionGridWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event_SearchMotionGridWSResponse'
          description: OK
components:
  schemas:
    Event_SearchMotionGridWSRequest:
      type: object
      description: Request object for searching motion grid data.
      properties:
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        endTimeUtcSecs:
          type: integer
          format: int64
          description: End time as a UNIX timestamp in seconds
          example: 1641081600
          nullable: true
        searchCells:
          type: array
          description: List of motion grid cells to include in the search
          items:
            $ref: '#/components/schemas/Event_FrontendCell'
          nullable: true
        startTimeUtcSecs:
          type: integer
          format: int64
          description: Start time as a UNIX timestamp in seconds
          example: 1640995200
          nullable: true
      required:
        - deviceUuid
        - endTimeUtcSecs
        - searchCells
        - startTimeUtcSecs
    Event_SearchMotionGridWSResponse:
      type: object
      description: Response object containing motion grid search results.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        timeUtcSecsList:
          type: array
          description: List of timestamps where motion was detected in the specified cells
          items:
            type: integer
            format: int64
            description: >-
              List of timestamps where motion was detected in the specified
              cells
            nullable: true
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Event_FrontendCell:
      type: object
      description: Represents a cell in the motion grid with column and row coordinates.
      properties:
        col:
          type: integer
          format: int32
          description: Column coordinate of the cell
          example: 5
          nullable: true
        row:
          type: integer
          format: int32
          description: Row coordinate of the cell
          example: 3
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````